# ApplicationFramework
TKLCAF
TDataStd

# TDataStd_Comment Class Reference

Comment attribute. may be associated to any label
to store user comment.
.

`#include <TDataStd_Comment.hxx>`

Inheritance diagram for TDataStd_Comment:

[legend]

## Public Member Functions

Standard_EXPORT | TDataStd_Comment ()
Standard_EXPORT void | Set (const TCollection_ExtendedString &S)
Standard_EXPORT const TCollection_ExtendedString & | Get () const
| Returns the comment attribute. .
Standard_EXPORT const Standard_GUID & | ID () const
| Returns the ID of the attribute. .
Standard_EXPORT void | Restore (const Handle(TDF_Attribute)&with)
| Restores the backuped contents from <anattribute> into this one. It is used when aborting a transaction. .
Standard_EXPORT Handle_TDF_Attribute | NewEmpty () const
| Returns an new empty attribute from the good end type. It is used by the copy algorithm. .
Standard_EXPORT void | Paste (const Handle(TDF_Attribute)&into, const Handle(TDF_RelocationTable)&RT) const

This method is different from the "Copy" one,
because it is used when copying an attribute from
a source structure into a target structure. This
method may paste the contents of <me> into
<intoattribute>.
The given pasted attribute can be full or empty of
its contents. But don't make a NEW! Just set the
contents!
It is possible to use <arelocationtable> to
get/set the relocation value of a source
attribute.
.

virtual Standard_EXPORT Standard_OStream & | Dump (Standard_OStream &anOS) const
| Dumps the minimum information about <me> on <astream>. .
Standard_EXPORT Standard_Boolean | AfterRetrieval (const Standard_Boolean forceIt=Standard_False)
| Something to do AFTER creation of an attribute by persistent-transient translation. The returned status says if AfterUndo has been performed (true) or if this callback must be called once again further (false). If <forceit> is set to true, the method MUST perform and return true. Does nothing by default and returns true. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Static Public Member Functions

static Standard_EXPORT const Standard_GUID & | GetID ()
| class methods ============= //! Returns the GUID for comments.
static Standard_EXPORT Handle_TDataStd_Comment | Set (const TDF_Label &label)
| Find, or create a Comment attribute. the Comment attribute is returned. .
static Standard_EXPORT Handle_TDataStd_Comment | Set (const TDF_Label &label, const TCollection_ExtendedString &string)
| Finds, or creates a Comment attribute and sets the string. the Comment attribute is returned. //! Comment methods ============ .

## Private Attributes

TCollection_ExtendedString | myString

## Constructor & Destructor Documentation

Standard_EXPORT TDataStd_Comment::TDataStd_Comment | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Boolean TDataStd_Comment::AfterRetrieval | ( | const Standard_Boolean | forceIt = `Standard_False` | ) | `[virtual]`

| Reimplemented from TDF_Attribute.

virtual Standard_EXPORT Standard_OStream& TDataStd_Comment::Dump | ( | Standard_OStream & | anOS | ) | const`[virtual]`

| Reimplemented from TDF_Attribute.

Standard_EXPORT const TCollection_ExtendedString& TDataStd_Comment::Get | ( |  | ) | const

static Standard_EXPORT const Standard_GUID& TDataStd_Comment::GetID | ( |  | ) | `[static]`

Standard_EXPORT const TDataStd_Comment::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from TDF_Attribute.

Standard_EXPORT const Standard_GUID& TDataStd_Comment::ID | ( |  | ) | const`[virtual]`

| Implements TDF_Attribute.

Standard_EXPORT Handle_TDF_Attribute TDataStd_Comment::NewEmpty | ( |  | ) | const`[virtual]`

| Implements TDF_Attribute.

Standard_EXPORT void TDataStd_Comment::Paste | ( | const Handle(TDF_Attribute)& | into,
|  | const Handle(TDF_RelocationTable)& | RT
| ) | const`[virtual]`

| Implements TDF_Attribute.

Standard_EXPORT void TDataStd_Comment::Restore | ( | const Handle(TDF_Attribute)& | with | ) | `[virtual]`

| Implements TDF_Attribute.

Standard_EXPORT void TDataStd_Comment::Set | ( | const TCollection_ExtendedString & | S | ) |

static Standard_EXPORT Handle_TDataStd_Comment TDataStd_Comment::Set | ( | const TDF_Label & | label,
|  | const TCollection_ExtendedString & | string
| ) | `[static]`

static Standard_EXPORT Handle_TDataStd_Comment TDataStd_Comment::Set | ( | const TDF_Label & | label | ) | `[static]`

## Field Documentation

TCollection_ExtendedString TDataStd_Comment::myString `[private]`

The documentation for this class was generated from the following file:

- TDataStd_Comment.hxx